Skip to content
This repository
Browse code

Migrate to multi_json.

  • Loading branch information...
commit 43e929823940c558ca2ec43b67e102791836c58c 1 parent ca2be2f
James Coglan authored December 26, 2011
2  faye.gemspec
@@ -21,7 +21,7 @@ Gem::Specification.new do |s|
21 21
   s.add_dependency "eventmachine", "~> 0.12.0"
22 22
   s.add_dependency "em-http-request", "~> 0.3"
23 23
   s.add_dependency "faye-websocket", ">= 0.2.0"
24  
-  s.add_dependency "json", ">= 1.0"
  24
+  s.add_dependency "multi_json", "~> 1.0.0"
25 25
   s.add_dependency "thin", "~> 1.2"
26 26
   s.add_dependency "rack", ">= 1.0"
27 27
 
2  lib/faye.rb
@@ -6,7 +6,7 @@
6 6
 require 'eventmachine'
7 7
 require 'faye/websocket'
8 8
 require 'forwardable'
9  
-require 'json'
  9
+require 'multi_json'
10 10
 require 'rack'
11 11
 require 'set'
12 12
 require 'time'
2  spec/spec_helper.rb
@@ -4,6 +4,8 @@
4 4
 require dir + '/../vendor/em-rspec/lib/em-rspec'
5 5
 require 'rack/test'
6 6
 
  7
+MultiJson.engine = :json_gem
  8
+
7 9
 module EncodingHelper
8 10
   def encode(string)
9 11
     return string unless string.respond_to?(:force_encoding)

0 notes on commit 43e9298

Please sign in to comment.
Something went wrong with that request. Please try again.